Name:           tlock
Version:        1.4
Release:        4%{?dist}
Summary:        Terminal lock

Group:          Applications/System
License:        GPLv2+
URL:            http://pjp.dgplug.org/tools/
Source0:        http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel pam-devel
Requires(post): info
Requires(preun): info

%description
tlock is a small program intended to lock the terminal until the correct
password is supplied by the user. By default 'tlock' prompts you for the
password, but can also lock the terminal with system password when invoked
with the -s switch.

%package        devel
Summary:        Development library for tlock
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the header(.h) and library(.so) files required to build
applications using librpass library. librpass is used by, and distributed with
tlock program.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT/%{_libdir}/librpass.la

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/%{name}.info || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root, -)
%doc README COPYING
%_bindir/tlock
%_libdir/lib*.so.*
%_infodir/*
%_mandir/man1/*

%files devel
%defattr (-, root, root, -)
%doc README COPYING
%_includedir/readpass.h
%_libdir/lib*.so
%_mandir/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 26 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.4-2
- Fixed the share/info/dir menu entry of tlock.

* Sat Jul 12 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.4-1
- Fixed the `root># tlock -s' bug. Patch supplied by: Milos Jakubicek
  (xjakub@fi.muni.cz)

* Thu May 29 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.3-1
- The new tlock version 1.3 for the last change in the texinfo source.

* Thu May 29 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.2-3
- Removed `make distclean' from under clean section above.

* Wed May 28 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.2-2
- Removed the permission and summary capitalisation glitches.

* Mon May 12 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.2-1
- Did some minor changes to tlcok source and readpass manual. No new feature
  addition. I just removed some minor glitches from the tlock source.

* Mon May 12 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-6
- Fixed the Requires error in package-devel

* Tue May  6 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-5
- Fixed the dep errors revealed by rpmlint

* Tue May  6 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-4
- Added the package devel section, to create a tlock-devel subpackage

* Mon May  5 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-3
- Fixed errors revealed in the second review

* Sat May  3 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-2
- Fixed errors from the first review

* Fri May  2 2008 _pjp_ <pj.pandit@yahoo.co.in> - 1.1-1
- Initial RPM release of tlock-1.1
